"use strict";
// reads contents of package.JSON
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const package_json_model_1 = require("../../models/package-json-model");
const package_json_1 = __importDefault(require("../../../package.json"));
function getVersion() {
    return processPackageJson(package_json_1.default).version;
}
exports.getVersion = getVersion;
function getPackageJson() {
    return processPackageJson(package_json_1.default);
}
exports.getPackageJson = getPackageJson;
function processPackageJson(packageJSON = package_json_model_1.emptyPackageJson()) {
    const version = packageJSON.version || 'Version information not available.';
    const license = packageJSON.license || 'License not available.';
    const repository = packageJSON.repository || 'Repository not available.';
    return {
        version: version,
        license: license,
        repository: repository
    };
}
//# sourceMappingURL=package-JSON-info.js.map